Subject: pkg/32716: ssh2-nox11 requires x11
To: None <,,>
From: None <>
List: pkgsrc-bugs
Date: 02/03/2006 06:35:01
>Number:         32716
>Category:       pkg
>Synopsis:       ssh2-nox11 requires x11
>Confidential:   no
>Severity:       critical
>Priority:       low
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Fri Feb 03 06:35:01 +0000 2006
>Originator:     Tracy Di Marco White
>Release:        NetBSD 3.0
System: NetBSD satai.home. 3.0_RC5 NetBSD 3.0_RC5 (SATAI) #0: Sat Dec 3 00:35:16 CST 2005 gendalia@satai.home.:/usr/obj/i386/SATAI i386
Architecture: i386
Machine: i386
security/ssh2-nox11 has: .include "../../security/ssh2/Makefile.common"
security/ssh2/Makefile.common has: .include "../../mk/"

This causes problems on machines where X is not installed.

Don't install X. build ssh2-nox11.
.include "../../mk/" needs to move from
security/ssh2/Makefile.common to security/ssh2/Makefile.

 true in pkgsrc for several months, including February 3rd, 2006